Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.sts.security.impl
Class AbstractExtendedCredential

    java.lang.Object
      be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential

All Implemented Interfaces:
  Credential, ExtendedCredential

Direct Known Subclasses:
  AbstractSAMLToken, BeIDCredential, KeyPairCredential, KeyStoreCredential

    public abstract class AbstractExtendedCredential

extends Object
implements ExtendedCredential

Constructor Summary
`AbstractExtendedCredential()`

Method Summary
`CertPath` | `getCertPath()`
`org.joda.time.DateTime` | `getExpirationDateTime()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.Credential
`getCertificate, getCertificateChain, getIssuer, getIssuerQualifier, getKeyStore, getPrivateKey, getProviderName, getPublicKey`

Constructor Detail

### AbstractExtendedCredential

    public AbstractExtendedCredential()

Method Detail

### getCertPath

    public CertPath getCertPath()
                         throws TechnicalConnectorException

  Specified by:
    `getCertPath` in interface `ExtendedCredential`
  Returns:
    the certification path of the credential
  Throws:
    `TechnicalConnectorException`

### getExpirationDateTime

    public org.joda.time.DateTime getExpirationDateTime()
                                                 throws TechnicalConnectorException

  Specified by:
    `getExpirationDateTime` in interface `ExtendedCredential`
  Returns:
    the expiration datetime of the credential
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.